<template lang="pug">
v-style {{ style.css }}
</template>

<script>
import Vue from "vue";
Vue.component("v-style", {
  render: function (createElement) {
    return createElement("style", this.$slots.default);
  },
});

export default {
  name: "Style",
  props: {
    firebase: {
      required: true,
    },
    context: {
      required: false,
    },
  },
  computed: {},
  data: () => {
    return {
      style: {},
    };
  },
  watch: {
    firebase: {
      immediate: true,
      handler() {
        this.$rtdbBind(
          "style",
          this.firebase.ref(
            `config/${this.context.meetingid}/current/currentState/plugins/style`
          )
        );
      },
    },
  },
};
</script>
